/************* ACCORDIONS *************/
/* Styling the transitions and cursor for the accordion, its icon and color mask */
.plus-minus p:before, 
.creative-accordion, 
.creative-accordion .color-mask {
    -webkit-transition: all linear 0.2s;
    transition: all linear 0.2s;
    cursor: pointer;
}

/* Character for the plus symbol */
.plus-minus p:before {
    content:'\002B';
    display: block;
}
/* Character for the minus symbol */
.rotated .plus-minus p:before, .plus-minus.rotated p:before {
    transform: rotate(180deg);
    content:'\2212';
}
/* Hover state for the visible sections */
.creative-accordion:hover .color-mask {
    opacity:0.2!important;
}


/************* TABBED INTERFACE *************/
/* Custom Classes for All Tabbed Interface Buttons and Items Containers can be found in this space */
body:not(.finetune) .creative-tab-item {
    display: none!important;
}

/* Animation for active tabs */
body:not(.finetune) .creative-tab-item.creative-active-tab-item {
    display: block!important;
    animation: animateIn .75s forwards ease;
}

/* Styling the tab button */
.creative-tab-button {
    transition: all linear 0.2s;
    cursor: pointer;
}

/************* Active tab style state for horizontal tab buttons *************/
.creative-tab-full .creative-active-tab-button {
    border-top: 4px solid rgb(121, 105, 231)!important;
}

/************* Active tab style state for vertical tab buttons *************/
.creative-tab-side .creative-active-tab-button {
    border-right: 4px solid rgb(121, 105, 231)!important;
}

/************* STYLE TAB ACTIVE STATE BACKGROUND: ALL INTERFACES *************/
.creative-tab-full .creative-active-tab-button,
.creative-tab-side .creative-active-tab-button {
    background-color: rgb(227, 227, 254)!important;
}

/************* TAB ANIMATION *************/

@keyframes animateIn{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}

/************* CAROUSELS *************/
/* Preparing the position for the carousel slides in live browser view */
body:not(.finetune) .content-carousel-element{
    position: absolute!important;
    top: 0;
    left: 0;
    opacity: 0;
}

/* Making the first slide visible by default */
body:not(.finetune) .content-carousel-element:first-child{
    position: relative!important;
}

/* Setting animation transition for the slides */
body:not(.finetune) .content-carousel-container{
    transition: 1s ease transform;
}

/* Optional Manual Carousel counter */
.manual-carousel {
    counter-reset: section;
}
/* Displaying slide numbers */
.each-slide:before {
    counter-increment: section;
    content: counter(section);
}
/* Disabling forward and backward buttons */
.disabled {
    opacity: 0.5;
    pointer-events: none;
}

/* ROTATE KEYFRAME ANIMATION */
body:not(.finetune) .creative-keyframe-rotate {
    animation: rotate 14s infinite linear;
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

/* MARQUEE ANIMATIONS */
body:not(.finetune) .creative-marquee1, 
body:not(.finetune) .creative-marquee2{
    white-space: nowrap;
    box-sizing: border-box;
}

body:not(.finetune) .creative-marquee1 p,
body:not(.finetune) .creative-marquee2 p {
    display: inline-block;
    padding-left: 100%;
    will-change: transform;
}

body:not(.finetune) .creative-marquee1 p {
    animation: marquee 24s linear infinite;
}

body:not(.finetune) .creative-marquee2 p {
    animation: marquee 30s linear infinite;
}

body:not(.finetune) .creative-marquee1 p:hover,
body:not(.finetune) .creative-marquee2 p:hover,
body:not(.finetune) .creative-keyframe-rotate:hover {
    animation-play-state: paused;
    cursor: pointer;
}

@keyframes marquee {
    0% { transform: translate(0, 0); }
    100% { transform: translate(-100%, 0); }
}

@media (prefers-reduced-motion: reduce) {
    .creative-marquee1, 
    .creative-marquee2 { 
        white-space: normal 
    }
    .creative-marquee1 p
    .creative-marquee2 p {
        animation-iteration-count: 1;
        animation-duration: 0.01; 
        padding-left: 0;
    }
}

/* MIX BLEND TEXT TRANSPARENCY ANIMATION */
.creative-mix-blend {
    mix-blend-mode: difference;
}